import sys
from PySide import QtGui, QtCore, QtUiTools

# Import the compiled UI module
from customwidget import Ui_customWidget
from mainwindow import Ui_MainWindow


# Create a class for our main window
class Gui_Qt(QtGui.QMainWindow):

    def __init__(self, *args, **kwargs):
        super(Gui_Qt, self).__init__(*args, **kwargs)

        self.ui = Ui_MainWindow()
        self.ui.setupUi(self)

        self.centralwidget = QtGui.QWidget()
        self.customwidget = Ui_customWidget()
        self.customwidget.setupUi(self.centralwidget)
        self.setCentralWidget(self.centralwidget)


class CMain:
    def __init__(self):
        self.__mApp = QtGui.QApplication(sys.argv)
        self.__mWindow = Gui_Qt()

    def run(self):
        self.__mWindow.show()
        lReturn = self.__mApp.exec_()
        sys.exit(lReturn)


if __name__ == "__main__":
    lMain = CMain()
    lMain.run()
