import Qt 4.7

Rectangle {
    id: page

    width: 250; height: 200
    color: "lightblue"

    Text {
        id: helloText
        text: "Huuiiiii!"
        anchors.horizontalCenter: page.horizontalCenter
        y: 70
        font.pointSize: 12
        font.bold: true
        Behavior on rotation {
            SpringAnimation {
                spring: .9
                damping: .02
            }
        }
    }

    Rectangle {
        id: button
        width: 105; height: 20
        color: "darkblue"
        anchors.horizontalCenter: page.horizontalCenter
        y: 150
        MouseArea {
            id: buttonMouseArea
            objectName: "buttonMouseArea"
            anchors.fill: parent
            onClicked: {
                helloText.rotation = rotationAngle.val()
            }
        }
        Text {
            id: buttonText
            color: "white"
            text: "Rotate the text!"
            anchors.horizontalCenter: button.horizontalCenter
            anchors.verticalCenter: button.verticalCenter
            font.pointSize: 8;
        }
    }
}
