#!/usr/bin/python

import sys
from PySide import QtCore, QtGui, QtDeclarative


class RotationAngle(QtCore.QObject):
    def __init__(self):
        super(RotationAngle, self).__init__()
        self.mAngle = 0

    @QtCore.Slot(result=int)
    def val(self):
        self.mAngle += (45)
        return self.mAngle

if __name__ == '__main__':
    lApp = QtGui.QApplication(sys.argv)
    lView = QtDeclarative.QDeclarativeView()
    lRotationAngle = RotationAngle()
    lContext = lView.rootContext()
    lContext.setContextProperty("rotationAngle", lRotationAngle)
    lView.setSource(QtCore.QUrl('view.qml'))
    lView.show()
    sys.exit(lApp.exec_())
